# serverlessDeploymentUserIdentity

Identity of the user who performed the serverless deployment.

### Examples

```graphql
type ServerlessDeploymentUserIdentity {
  type: String
  principalId: String
  arn: String
  accountId: String
  accessKeyId: String
  sessionContext: ServerlessDeploymentUserIdentitySessionContext
}
```

### Fields

| Field                                                                                                                                                                               | Description                               | Supported fields                                                                                                                                                                                                                          |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| type `String`                                                                                                                                                                       | Type of user identity (e.g., AssumedRole) |                                                                                                                                                                                                                                           |
| principalId `String`                                                                                                                                                                | Principal ID of the user                  |                                                                                                                                                                                                                                           |
| arn `String`                                                                                                                                                                        | ARN of the user identity                  |                                                                                                                                                                                                                                           |
| accountId `String`                                                                                                                                                                  | Account ID of the user                    |                                                                                                                                                                                                                                           |
| accessKeyId `String`                                                                                                                                                                | Access key ID used for the session        |                                                                                                                                                                                                                                           |
| sessionContext [`ServerlessDeploymentUserIdentitySessionContext`](/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-user-identity-session-context.md) | Session context details                   | <p>sessionIssuer <a href="/pages/mRBoOP7hlQFUExI52scG"><code>ServerlessDeploymentUserIdentitySessionIssuer</code></a><br>attributes <a href="/pages/bKu2GBEw0rllp4b3dM2t"><code>ServerlessDeploymentUserIdentityAttributes</code></a></p> |

### References

#### Fields with this object:

* [{} ServerlessDeploymentOperation.userIdentity](/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-operation.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/serverless-deployment-user-identity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
